;
;  This is an example from the documentation
;
;  It will count the FLAG-LEDs and the OUTPUT-LEDs
;  in binary fashion. Execution will stop at 00
;
;
@0000
00	NOP
C4	LDI  09		Setup P3 for Subroutine
09
37	XPAH3
C4	LDI  0A		Setup P1 for Leds
0A
35	XPAH1		
C4	LDI  08		Setup P2 For Counter 
08	
36	XPAH2			
	:loop
3F	XPPC3		Jump to Subroutine
AA	ILD  P2	0	Increment & Load
00		
C9	ST   P1	0	Store to Leds		
00
9C	JMP  Loop		
F9
00	HALT
;
; Subroutine
;
@0900
	:startsub
08	NOP
01	XAE		SAVE ACCU IN Extention
C4	LDI  F8
F8
	:again
F4	ADI  01		Add 1 to Accu
01
07	CAS		Copy accu to flags
02	CCL		Clear Carry to avoid xtra addition
8F	DLY  80		Wait
80
9C	JNZ Again
F8
01	XAE		restore accu
3F	XPPC3		Return
9C	JP  startsub
F0
00	HALT
;end